//definition of a Sprite class for the animation demo
#include "pockethal.h"
#include "frogdefs.h"
#include "blitter.h"

class F18
{
public:
	
	void InitF18(int _x,int _y,int _vx,int _vy,int _s,bool _on);//init
	void SetRefresh(int _s);
	void SetSpeed(int _vx, int _vy);
	void SetAlpha(int alpha);
    void Draw(Surface *surface);//Blit to display (backbuffer usually)
	void Move(float angle);// update x, y & frame counter etc
	void SetFrame(int frame);
	int GetXSpeed();
	int GetYSpeed();
	int GetXPos();
	int GetYPos();

	void SetPosition(int xpos, int ypos);
	
	F18(Blitter *blitter);
    ~F18();

	int Xpos;//   variables accessible publicly
	int Ypos;//
	int Xmove;//amount to add or subtract from Xpos
	int Ymove;//amount to ...Ypos
	bool On;// on or off
	int Alpha;//amount of alpha blending
	Rect *FrameRect;//an empty Rect array pointer
	//Rect *Collide;// Rect for collision check

private:
  
    Surface* F18Data;
	int Width;//width of 1 frame of loaded image
	int Depth;//height of the loaded image/bitmap
	int Refresh;//how often to draw sprite
	int Cnt1;//counter one
	float Angle;
	Blitter *blitter;
};