#include "blitter.h"

Blitter::Blitter() {}
Blitter::~Blitter() {}

void Blitter::BlitOn(Surface *srcSurf, Rect *r, Surface *dstSurf, int x, int y, Pixel mask) {
	int spitch = srcSurf->GetPitch() >> 1;
	int dpitch = dstSurf->GetPitch() >> 1;
	Pixel *sbuff = srcSurf->GetPixels()+(r->top*spitch+r->left);
	Pixel *dbuff = dstSurf->GetPixels()+(y*dpitch+x);
	Pixel *sptr;
	Pixel *dptr;
	Pixel pix;
	for (int i=0; i<r->GetHeight(); i++) {
		sptr = sbuff;
		dptr = dbuff;
		for (int j=0; j<r->GetWidth(); j++) {
			pix = *sptr++;
			if (pix - mask) 
				*dptr=pix;
			dptr++;
		}
		sbuff += spitch;
		dbuff += dpitch;
	}
}

