#ifndef _FROGDEFS_H_
#define _FROGDEFS_H_

#include "stdint.h"

//////////////////////////////////////////////////////////////////////////////
//
// Pixel - PocketFrog always work with a 16 bit pixel (565 color format)
//
//////////////////////////////////////////////////////////////////////////////

typedef uint16_t Pixel;


//////////////////////////////////////////////////////////////////////////////
//
// Color masks, shifts and bits
//
//////////////////////////////////////////////////////////////////////////////

const Pixel RED_MASK    = 0x1F << 11;
const Pixel GREEN_MASK  = 0x3F << 5;
const Pixel BLUE_MASK   = 0x1F;
const int   RED_SHIFT   = 11;
const int   GREEN_SHIFT = 5;
const int   BLUE_SHIFT  = 0;
const int   RED_BITS    = 5;
const int   GREEN_BITS  = 6;
const int   BLUE_BITS   = 5;

#endif

